Name:           python-wombat
Version:        0.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Windfarm operations and maintenance cost-benefit analysis tool

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/WISDEM/WOMBAT
Source:         %{pypi_source wombat}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'wombat' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-wombat
Summary:        %{summary}

%description -n python3-wombat %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-wombat all,dev,docs


%prep
%autosetup -p1 -n wombat-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,dev,docs


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-wombat -f %{pyproject_files}


%changelog
%autochangelog